Summary:	X Evie extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Evie
Name:		xorg-lib-libXevie
Version:	1.0.3
Release:	5%{?tld}
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXevie-%{version}.tar.bz2
# Source0-md5:	ffa3f82595211609140440505b0e6301
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-evieproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Evie extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Evie.

%package devel
Summary:	Header files for libXevie library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXevie
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-evieproto-devel

%description devel
X Evie extension library

This package contains the header files needed to develop programs that
use libXevie.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Evie.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXevie.

%package static
Summary:	Static libXevie library
Summary(pl.UTF-8):	Biblioteka statyczna libXevie
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
X Evie extension library

This package contains the static libXevie library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Evie.

Pakiet zawiera statyczną bibliotekę libXevie.

%prep
%setup -q -n libXevie-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXevie.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXevie.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXevie.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXevie.so
%{_includedir}/X11/extensions/Xevie.h
%{_pkgconfigdir}/xevie.pc
%{_mandir}/man3/Xevie*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXevie.a
%changelog
* Tue Apr 05 2022 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-lib-libXevie.git;a=log;h=master

* Tue Aug 25 2020 Jakub Bogusz <qboosh@pld-linux.org> db935e9
- drop .la file, release 5

* Fri Mar 30 2018 Jan Rękorajski <baggins@pld-linux.org> 53c2d0d
- fix devel package deps
- rel 4

* Fri Mar 30 2018 Jan Rękorajski <baggins@pld-linux.org> e85e8f2
- updated BR
- rel 3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 655b613
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 590866a
- fixed files

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 1753997
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> b6c52a0
- brought from the dead by X.org; updated to 1.0.3

* Sat Oct 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b9db6a7
- obsoleted by upstream

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e4e45e
- release 5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b72ebdb
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b5a2080
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 65972c0
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> e49b32d
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 80320b5
- rebuild

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 084bd8b
- updated to 1.0.2, release 1

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 7eddc90
- up to 1.0.1

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 0f6c76e
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 7b81d18
- 1.0.0 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 7fc5e9e
- -devel desc fixes

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> f9be117
- 0.99.3 (X11R7.0-RC3)

